%define anolis_release 2

Name:		mkfontscale
Version:	1.2.2
Release:	%{anolis_release}%{?dist}
Summary:	Tool to generate legacy X11 font system index files

License:	MIT
URL:		https://www.x.org
Source0:	https://www.x.org/pub/individual/app/%{name}-%{version}.tar.xz

Patch0: 	mkfontscale-examine-all-encodings.patch

BuildRequires:	gcc make libtool
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(fontenc)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8

Provides: 	mkfontdir = %{version}
Conflicts: 	xorg-x11-font-utils < 7.5-51

%description
%{name} is a command-line utility used to generate font index files for the
X Window System. When a font server or a font renderer needs to access a
particular font, it uses the index file to locate the font's file on disk.

The %{name} utility takes a list of font files as input and generates an
index file in the scalable font format (SFF). The SFF format is a binary
format, and it contains information about the fonts' names, point sizes, and
style attributes, such as bold or italic.

The %{name} utility is usually used in conjunction with the mkfontdir and
xsetfont utilities to manage fonts in the X Window System. Together, these
utilities allow administrators to add or remove fonts from the system and
configure font paths and directories.

%package doc
Summary:	Documentation for %{name}
Group:		Development/Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

%files
%license COPYING
%doc README.md
%{_bindir}/mkfontdir
%{_bindir}/mkfontscale
%{_mandir}/man1/mkfontdir.1*
%{_mandir}/man1/mkfontscale.1*

%files doc
%doc ChangeLog INSTALL

%changelog
* Wed Apr 12 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.2.2-2
- optimize spec file
- add doc package

* Thu May 05 2022 happy_orange <songnannan@linux.alibaba.com> - 1.2.2-1
- Init from upstream
